%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Time-Domain-simulation in irregular seas  %
% Study 3: various methods of simulatinf spect%
%          Setting up EAP components          %
%       By: Eivind Bkkedal, 10.06.2014       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [omega, w1, Amp]=EAP(m0, w, n_eap,sizee,T_max,S)

%Making EAP components: 
w1=zeros(sizee+1,1);
omega=zeros(sizee,1);
m=m0(end)/n_eap;
Amp=sqrt(2*m)*ones(sizee,1);
w1(1)=2*pi/T_max;
s=0;
j=0;
for i=2:n_eap+1
    while j<(i-1)*m
        s=s+1;
        j=m0(s);
        if s>=length(m0)-1
           break
        end          
    end
    w1(i)=w(s);
    omega(i-1)=(w1(i)+w1(i-1))/2;
end   

return
