%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Time-Domain-simulation in irregular seas  %
% Study 3: various methods of simulatinf spect%
%             Compute FFT components          %
%       By: Eivind Bkkedal, 10.06.2014       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [omega_FFT, w1_FFT, Amp_FFT]=FFT(nc, w, Tmin, Tmax, dw, S,sizee)

%Making FFT components: 
Amp_FFT=zeros(sizee,1);
Amptemp=zeros(sizee,1);
w1_FFT=zeros(sizee+1,1);
omega_FFT=zeros(sizee,1);
domega=(2*pi/Tmin-2*pi/Tmax)/nc;
w1_FFT(1)=2*pi/Tmax;
for i=2:nc+1
    w1_FFT(i)=w1_FFT(1)+domega*(i-1);
    ix=find(w>w1_FFT(i-1),1);
    if i<nc+1
        ix2=find(w>w1_FFT(i),1)-1;
    else
        ix2=length(w);
    end
    Amptemp(i-1)=sum(S(ix:ix2))*dw;
    Amp_FFT(i-1)=sqrt(2*Amptemp(i-1));
    omega_FFT(i-1)=(w1_FFT(i)+w1_FFT(i-1))/2;
end   

return

