%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Time-Domain-simulation in irregular seas  %
% Study 3: various methods of simulatinf spect%
%             Setting up PM spectrum          %
%       By: Eivind Bkkedal, 10.06.2014       %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [S, w, m0,m1,m2,m3,m4, mm,dw]=PM(N, Tp,Tmin,Tmax, Hs, Gamma,g)
 V=sqrt(g*Hs/0.21);
AA=0.0081*g^2;
BB=0.74*(g/V)^4;

A=2*pi/Tmin;
B=2*pi/Tmax;
dw=(A-B)/N;
for j=1:2
m0(1)=0;
m1=0;
m2=0;
m3=0;
m4=0;
for i=2:N+1
	    w(i-1) = B+dw*(i-1.5);
        S(i-1) = AA/(w(i-1))^5*exp(-BB/(w(i-1))^4);
        m0(i)=m0(i-1)+S(i-1)*dw;
        m1=m1+S(i-1)*w(i-1)*dw;
        m2=m2+S(i-1)*w(i-1).^2*dw;
        m3=m3+S(i-1)*w(i-1).^3*dw;
        m4=m4+S(i-1)*w(i-1).^4*dw;
end
mm=2*pi*sum(S.^2)*dw;
AA=AA*(Hs/4)^2/m0(end);
end
return